module.exports = {
  create: {
    requestBody: ["categroy", "pid", "label", "value", "status", "dstatus"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["categroy", "pid", "label", "value", "status", "dstatus"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        categroy: "categroy",
        pid: "pid",
        label: "%label%",
        value: "%value%",
        status: "status",
        dstatus: "dstatus",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  tree: {
    parameters: {
      query: {
        categroy: "categroy",
        pid: "pid",
        label: "%label%",
        value: "%value%",
        status: "status",
        dstatus: "dstatus",
      },
    },
    service: "getTree",
  },
};
