'use strict';

const _ = require('lodash');
const meta = require('./.dictionary.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 字典
class DictionaryController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.system.dictionary;
  }

  async xzqh() {
    const data = await this.service.xzqh(this.ctx.query);
    this.ctx.ok({ data });
  }
}

module.exports = CrudController(DictionaryController, meta);
